import { Pipe, PipeTransform } from '@angular/core';
import { calculateExtendedPickUpDate } from '../shared/utils';

@Pipe({
  name: 'getExtendPickUpOptions',
})
export class GetExtendPickUpOptionsPipe implements PipeTransform {
  transform(pickUpDate: string): string[] {
    if (!pickUpDate) {
      return [];
    }
    return [calculateExtendedPickUpDate(pickUpDate, 2), calculateExtendedPickUpDate(pickUpDate, 4)];
  }
}
